#
# spec file for package gap-recogbase
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-recogbase
Version:        1.2.5
Release:        lp150.1.2
Summary:        GAP: A framework for group recognition
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            https://gap-packages.github.io/recogbase/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/recogbase-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-atlasrep >= 1.4.0
Requires:       gap-core >= 4.7.8
Requires:       gap-factint >= 1.5.2
Requires:       gap-forms >= 1.2
Requires:       gap-gapdoc >= 1.2
Requires:       gap-genss >= 1.3
Requires:       gap-orb >= 3.4
Suggests:       gap-recog >= 1.2.4

%description
This package provides a framework to implement group recognition
methods in a generic way. In particular, it is suitable for
permutation groups, matrix groups, projective groups and blackbox
groups. The accompanying recog package contains the necessary methods
for actual recognition.

%prep
%setup -qn recogbase-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Wed Jun  8 2016 jengelh@inai.de
- Update to new upstream release 1.2.5
  * No changelog was provided
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 1.2.4
  * Remove obsolete code patching issues in old GAP versions
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 1.2.3
  * Changes to package metadata only
* Fri May 10 2013 jengelh@inai.de
- Split recogbase (version 1.2) off the gap RPM package
